import es, playerlib

info = es.AddonInfo()
info['name']        = "Weapon Remover"
info['version']     = "1.1.0"
info['author']      = "DanielB" 
info['url']         = "http://forums.eventscripts.com/viewtopic.php?t=34141" 
info['description'] = "Removes a players weapons on death" 


dm = es.import_addon('dm')


def load():
    es.addons.registerClientCommandFilter(cc_filter)
    dm.msg('Loaded Addon - Weapon Remover')
    
def unload():
    es.addons.unregisterClientCommandFilter(cc_filter)
    dm.msg('Unloaded Addon - Weapon Remover')
    
def check_player_weapons(userid):
    for index in es.createentitylist('weapon_owner_%s'%userid):
        es.dbgmsg(0, index)
        if es.getindexprop(index, 'CBaseEntity.m_hOwnerEntity') == -1:
            es.server.queuecmd('es_xremove %s'%index)
            es.dbgmsg(0, 'removed %s'%index)
    
def cc_filter(userid, args):
    es.dbgmsg(0, 'cc_filter : %s'%args[0])
    if args[0].lower() == 'drop':
        dm.delay.delayed(0.1, 'dm_weapon_remover_%s'%userid, check_player_weapons, (userid,))
        
    return True

def item_pickup(event_var):
    userid = event_var['userid']
    item = event_var['item']
    
    player_handle = es.getplayerhandle(userid)
    
    for index in es.createentitylist('weapon_'+item):
        owner_handle = es.getindexprop(index, 'CBaseEntity.m_hOwnerEntity')
        if player_handle == owner_handle:
            #es.setentityname(index, 'weapon_owner_' + userid)
            #es.entitysetvalue(index, 'targetname', 'weapon_'+item)
            es.entitysetvalue(index, 'targetname', 'weapon_owner_' + userid)
            
            
def player_death(event_var):
    userid = event_var['userid']
    es.server.queuecmd('es_xfire %s weapon_owner_%s kill'%(userid, userid))